Index: trunk/SophyaLib/BuildMgr/Makefile
===================================================================
--- trunk/SophyaLib/BuildMgr/Makefile	(revision 2758)
+++ trunk/SophyaLib/BuildMgr/Makefile	(revision 2763)
@@ -4,44 +4,31 @@
 
 all: libs extlibs PI
+libs: cxxlibs
+extlibs : cxxextlibs
 
-libs: cxxlibs
-	echo '*DBG* Building libs'
+cxxlibs::
+	if [ -f $(SOPHYAINCP)/SophyaConfInfo/BaseTools.conf ] ; then cd  ../BaseTools ; $(MAKE) ; fi
+	if [ -f $(SOPHYAINCP)/SophyaConfInfo/SysTools.conf ] ; then cd  ../SysTools ; $(MAKE) ; fi
+	if [ -f $(SOPHYAINCP)/SophyaConfInfo/SUtils.conf ] ; then cd  ../SUtils ; $(MAKE) ; fi
+	if [ -f $(SOPHYAINCP)/SophyaConfInfo/TArray.conf ] ; then cd  ../TArray ; $(MAKE) ; fi
+	if [ -f $(SOPHYAINCP)/SophyaConfInfo/NTools.conf ] ; then cd  ../NTools ; $(MAKE) ; fi
+	if [ -f $(SOPHYAINCP)/SophyaConfInfo/HiStats.conf ] ; then cd  ../HiStats ; $(MAKE) ; fi
+	if [ -f $(SOPHYAINCP)/SophyaConfInfo/SkyMap.conf ] ; then cd  ../SkyMap ; $(MAKE) ; fi
+	if [ -f $(SOPHYAINCP)/SophyaConfInfo/Samba.conf ] ; then cd  ../Samba ; $(MAKE) ; fi
+	if [ -f $(SOPHYAINCP)/SophyaConfInfo/SkyT.conf ] ; then cd  ../SkyT ; $(MAKE) ; fi
 
-extlibs : cxxextlibs
-	echo '*DBG* Building extlibs'
-
-DIRCONF = $(SOPHYAINCP)/SophyaConfInfo/
-
-cxxlibs:: 
-	if [ -f $(DIRCONF)BaseTools.conf ] ; then cd  ../BaseTools ; $(MAKE) ; fi
-	if [ -f $(DIRCONF)SysTools.conf ] ; then cd  ../SysTools ; $(MAKE) ; fi
-	if [ -f $(DIRCONF)SUtils.conf ] ; then cd  ../SUtils ; $(MAKE) ; fi
-	if [ -f $(DIRCONF)TArray.conf ] ; then cd  ../TArray ; $(MAKE) ; fi
-	if [ -f $(DIRCONF)NTools.conf ] ; then cd  ../NTools ; $(MAKE) ; fi
-	if [ -f $(DIRCONF)HiStats.conf ] ; then cd  ../HiStats ; $(MAKE) ; fi
-	if [ -f $(DIRCONF)SkyMap.conf ] ; then cd  ../SkyMap ; $(MAKE) ; fi
-	if [ -f $(DIRCONF)Samba.conf ] ; then cd  ../Samba ; $(MAKE) ; fi
-	if [ -f $(DIRCONF)SkyT.conf ] ; then cd  ../SkyT ; $(MAKE) ; fi
-
-cxxextlibs::  
-	if [ -f $(DIRCONF)FitsIOServer.conf ] ; then cd  ../FitsIOServer ; $(MAKE) ; fi
-	if [ -f $(DIRCONF)IFFTW.conf ] ; then cd  ../IFFTW ; $(MAKE) ; fi
-	if [ -f $(DIRCONF)LinAlg.conf ] ; then cd  ../LinAlg ; $(MAKE) ; fi
-	if [ -f $(DIRCONF)XAstroPack.conf ] ; then cd  ../XAstroPack ; $(MAKE) ; fi
-	if [ -f $(DIRCONF)MinuitAdapt.conf ] ; then cd  ../MinuitAdapt ; $(MAKE) ; fi
+cxxextlibs::
+	if [ -f $(SOPHYAINCP)/SophyaConfInfo/FitsIOServer.conf ] ; then cd  ../FitsIOServer ; $(MAKE) ; fi
+	if [ -f $(SOPHYAINCP)/SophyaConfInfo/IFFTW.conf ] ; then cd  ../IFFTW ; $(MAKE) ; fi
+	if [ -f $(SOPHYAINCP)/SophyaConfInfo/LinAlg.conf ] ; then cd  ../LinAlg ; $(MAKE) ; fi
+	if [ -f $(SOPHYAINCP)/SophyaConfInfo/XAstroPack.conf ] ; then cd  ../XAstroPack ; $(MAKE) ; fi
+	if [ -f $(SOPHYAINCP)/SophyaConfInfo/MinuitAdapt.conf ] ; then cd  ../MinuitAdapt ; $(MAKE) ; fi
  
 PI::
-	if [ -f $(DIRCONF)PI.conf ] ; then cd ../PI ; $(MAKE) ; fi
-	if [ -f $(DIRCONF)PIGcont.conf ] ; then cd ../PIGcont ; $(MAKE) ; fi
-	if [ -f $(DIRCONF)PIext.conf ] ; then cd ../PIext ; $(MAKE) ; fi
+	if [ -f $(SOPHYAINCP)/SophyaConfInfo/PI.conf ] ; then cd ../PI ; $(MAKE) ; fi
+	if [ -f $(SOPHYAINCP)/SophyaConfInfo/PIGcont.conf ] ; then cd ../PIGcont ; $(MAKE) ; fi
+	if [ -f $(SOPHYAINCP)/SophyaConfInfo/PIext.conf ] ; then cd ../PIext ; $(MAKE) ; fi
 
 #  Shared library creation part of the Makefile
-
-#  List of libraries (.a)
-PSLB =  $(SOPHYALIBP)libBaseTools.a $(SOPHYALIBP)libSysTools.a $(SOPHYALIBP)libSUtils.a $(SOPHYALIBP)libTArray.a $(SOPHYALIBP)libNTools.a $(SOPHYALIBP)libHiStats.a $(SOPHYALIBP)libSkyMap.a $(SOPHYALIBP)libSamba.a $(SOPHYALIBP)libSkyT.a
-EXTPSLB =  $(SOPHYALIBP)libFitsIOServer.a $(SOPHYALIBP)libIFFTW.a $(SOPHYALIBP)libLinAlg.a $(SOPHYALIBP)libXAstroPack.a $(SOPHYALIBP)libMinuitAdapt.a
-#EXTPSLB =  $(SOPHYALIBP)libFitsIOServer.a $(SOPHYALIBP)libIFFTW.a $(SOPHYALIBP)libLinAlg.a 
-PIPSLB =  $(SOPHYALIBP)libPI.a $(SOPHYALIBP)libPIGcont.a $(SOPHYALIBP)libPIext.a
-
 
 #  main dependence list
@@ -61,5 +48,5 @@
  
 # Building Sophya shared library
-$(SOPHYASLBP)libsophya.$(SLEXT) : $(PSLB)
+$(SOPHYASLBP)libsophya.$(SLEXT) : $(ALLOBJSF)
 	echo `cat $(ALLOBJSF)` ; \
 	cd  $(SOPHYAOBJP); \
@@ -67,5 +54,5 @@
  
 # Building ExtSophya shared library
-$(SOPHYASLBP)libextsophya.$(SLEXT) : $(EXTPSLB)
+$(SOPHYASLBP)libextsophya.$(SLEXT) : $(ALLEXTOBJSF)
 	echo `cat $(ALLEXTOBJSF)` ; \
 	cd  $(SOPHYAOBJP); \
@@ -74,5 +61,5 @@
 
 # Building PI shared library
-$(SOPHYASLBP)libPI.$(SLEXT) : $(PIPSLB)
+$(SOPHYASLBP)libPI.$(SLEXT) : $(ALLPIOBJSF)
 	echo `cat $(ALLPIOBJSF)` ; \
 	cd  $(SOPHYAOBJP); \
Index: trunk/SophyaLib/BuildMgr/domkmf
===================================================================
--- trunk/SophyaLib/BuildMgr/domkmf	(revision 2758)
+++ trunk/SophyaLib/BuildMgr/domkmf	(revision 2763)
@@ -14,6 +14,6 @@
 
 echo " ==== Creation smakefile pour les modules EXTLIBS_SOPHYA ===="
-### ATTENTION ### ne pas faire mkmflib pour XAstroPack et MinuitAdapt
-foreach f ( FitsIOServer IFFTW LinAlg )
+### ATTENTION ### ne pas faire mkmflib pour MinuitAdapt
+foreach f ( FitsIOServer IFFTW LinAlg XAstroPack )
   set cmd = "./mkmflib $* $f" 
   $DO $cmd 
Index: trunk/SophyaLib/BuildMgr/mkmflib
===================================================================
--- trunk/SophyaLib/BuildMgr/mkmflib	(revision 2758)
+++ trunk/SophyaLib/BuildMgr/mkmflib	(revision 2763)
@@ -86,4 +86,8 @@
  `ls -1 *.{c,cc} | comm -3 -1 $TMPDIR/exclude.sort - | sed -e 's/\.cc/.o/' | sed -e 's/\.c/.o/' | sed -e 's/^/$(SOPHYAOBJP)/'` >> $makname
 echo '	$(AR) $(ARFLAGS) $@ $? ' >> $makname
+set slbobjlist = libsophya.so
+if( -e shlibs.name ) set slbobjlist = `grep ^lib shlibs.name | head -1`
+set slbobjlist = $slbobjlist:r.objlist
+echo '	touch $(SOPHYAINCP)/SophyaConfInfo/'$slbobjlist >> $makname
 rm -f $TMPDIR/exclude.sort
 
Index: trunk/SophyaLib/BuildMgr/smakefile
===================================================================
--- trunk/SophyaLib/BuildMgr/smakefile	(revision 2763)
+++ trunk/SophyaLib/BuildMgr/smakefile	(revision 2763)
@@ -0,0 +1,73 @@
+include $(SOPHYABASE)/include/sophyamake.inc
+
+defaut: libs
+
+all: libs extlibs PI
+libs: cxxlibs
+extlibs : cxxextlibs
+
+cxxlibs::
+	if [ -f $(SOPHYAINCP)/SophyaConfInfo/BaseTools.conf ] ; then cd  ../BaseTools ; make -f smakefile ; fi
+	if [ -f $(SOPHYAINCP)/SophyaConfInfo/SysTools.conf ] ; then cd  ../SysTools ; make -f smakefile ; fi
+	if [ -f $(SOPHYAINCP)/SophyaConfInfo/SUtils.conf ] ; then cd  ../SUtils ; make -f smakefile ; fi
+	if [ -f $(SOPHYAINCP)/SophyaConfInfo/TArray.conf ] ; then cd  ../TArray ; make -f smakefile ; fi
+	if [ -f $(SOPHYAINCP)/SophyaConfInfo/NTools.conf ] ; then cd  ../NTools ; make -f smakefile ; fi
+	if [ -f $(SOPHYAINCP)/SophyaConfInfo/HiStats.conf ] ; then cd  ../HiStats ; make -f smakefile ; fi
+	if [ -f $(SOPHYAINCP)/SophyaConfInfo/SkyMap.conf ] ; then cd  ../SkyMap ; make -f smakefile ; fi
+	if [ -f $(SOPHYAINCP)/SophyaConfInfo/Samba.conf ] ; then cd  ../Samba ; make -f smakefile ; fi
+	if [ -f $(SOPHYAINCP)/SophyaConfInfo/SkyT.conf ] ; then cd  ../SkyT ; make -f smakefile ; fi
+
+cxxextlibs::
+	if [ -f $(SOPHYAINCP)/SophyaConfInfo/FitsIOServer.conf ] ; then cd  ../FitsIOServer ; make -f smakefile ; fi
+	if [ -f $(SOPHYAINCP)/SophyaConfInfo/IFFTW.conf ] ; then cd  ../IFFTW ; make -f smakefile ; fi
+	if [ -f $(SOPHYAINCP)/SophyaConfInfo/LinAlg.conf ] ; then cd  ../LinAlg ; make -f smakefile ; fi
+	if [ -f $(SOPHYAINCP)/SophyaConfInfo/XAstroPack.conf ] ; then cd  ../XAstroPack ; make -f smakefile ; fi
+	if [ -f $(SOPHYAINCP)/SophyaConfInfo/MinuitAdapt.conf ] ; then cd  ../MinuitAdapt ; make -f smakefile ; fi
+ 
+PI::
+	if [ -f $(SOPHYAINCP)/SophyaConfInfo/PI.conf ] ; then cd ../PI ; make -f smakefile ; fi
+	if [ -f $(SOPHYAINCP)/SophyaConfInfo/PIGcont.conf ] ; then cd ../PIGcont ; make -f smakefile ; fi
+	if [ -f $(SOPHYAINCP)/SophyaConfInfo/PIext.conf ] ; then cd ../PIext ; make -f smakefile ; fi
+
+#  Shared library creation part of the Makefile
+
+#  main dependence list
+slball : slb slbext slbpi 
+slb : $(SOPHYASLBP)libsophya.$(SLEXT)
+slbext : $(SOPHYASLBP)libextsophya.$(SLEXT)    
+slbpi : $(SOPHYASLBP)libPI.$(SLEXT)
+ 
+# List of .o files for SOPHYA  module
+ALLOBJSF = $(SOPHYAINCP)/SophyaConfInfo/libsophya.objlist
+ 
+# List of .o files modules with reference to external libraries
+ALLEXTOBJSF = $(SOPHYAINCP)/SophyaConfInfo/libextsophya.objlist
+
+# List of .o files for PI modules 
+ALLPIOBJSF = $(SOPHYAINCP)/SophyaConfInfo/libPI.objlist
+ 
+# Building Sophya shared library
+$(SOPHYASLBP)libsophya.$(SLEXT) : $(ALLOBJSF)
+	echo `cat $(ALLOBJSF)` ; \
+	cd  $(SOPHYAOBJP); \
+	$(CMDSHLCXX) -o $@  `cat $(ALLOBJSF) ` $(SOPBASELIBS)
+ 
+# Building ExtSophya shared library
+$(SOPHYASLBP)libextsophya.$(SLEXT) : $(ALLEXTOBJSF)
+	echo `cat $(ALLEXTOBJSF)` ; \
+	cd  $(SOPHYAOBJP); \
+	$(CMDSHLCXX) -o $@  `cat $(ALLEXTOBJSF) ` \
+	$(SOPHYASLBLIST) $(SOPEXTLIBS)
+
+# Building PI shared library
+$(SOPHYASLBP)libPI.$(SLEXT) : $(ALLPIOBJSF)
+	echo `cat $(ALLPIOBJSF)` ; \
+	cd  $(SOPHYAOBJP); \
+	$(CMDSHLCXX) -o $@ `cat $(ALLPIOBJSF) ` \
+	$(SOPHYAEXTSLBLIST) $(PILIBS)
+
+clean:
+	if [ -d $(SOPHYALIBP) ] ; then cd $(SOPHYALIBP)/. ; rm -f *.a  ; fi
+	if [ -d $(SOPHYASLBP) ] ; then cd $(SOPHYASLBP)/. ; rm -f *.so ; fi
+	if [ -d $(SOPHYAOBJP) ] ; then cd $(SOPHYAOBJP)/. ; rm -f *.o  rm -rf cxxrep* ; fi
+