Index: trunk/SophyaLib/TArray/Makefile
===================================================================
--- trunk/SophyaLib/TArray/Makefile	(revision 2763)
+++ trunk/SophyaLib/TArray/Makefile	(revision 2765)
@@ -11,9 +11,7 @@
 	touch $(SOPHYAINCP)/SophyaConfInfo/libsophya.objlist
  
-$(SOPHYAOBJP)basarr.o: basarr.cc \
-  $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)basarr.o: basarr.cc $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pexceptions.h \
-  basarr.h \
+  $(SOPHYAINCP)pexceptions.h basarr.h \
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)mutyv.h \
@@ -25,8 +23,7 @@
   $(SOPHYAINCP)rawstream.h \
   $(SOPHYAINCP)ppfnametag.h
-	$(CXXCOMPILELIB) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  basarr.cc
  
-$(SOPHYAOBJP)fioarr.o: fioarr.cc \
-  $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)fioarr.o: fioarr.cc $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)machdefs.h \
@@ -38,18 +35,14 @@
   $(SOPHYAINCP)ppfnametag.h \
   $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)anydataobj.h \
-  fioarr.h tarray.h basarr.h \
-  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)anydataobj.h fioarr.h tarray.h \
+  basarr.h $(SOPHYAINCP)mutyv.h \
   $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h utilarr.h \
-  tmatrix.h tvector.h \
-  $(SOPHYAINCP)datatype.h
-	$(CXXCOMPILELIB) -o $@ $<
+  $(SOPHYAINCP)objfio.h utilarr.h tmatrix.h \
+  tvector.h $(SOPHYAINCP)datatype.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fioarr.cc
  
-$(SOPHYAOBJP)matharr.o: matharr.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  matharr.h tarray.h basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
+$(SOPHYAOBJP)matharr.o: matharr.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h matharr.h tarray.h \
+  basarr.h $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)mutyv.h \
   $(SOPHYAINCP)dvlist.h \
@@ -61,13 +54,10 @@
   $(SOPHYAINCP)rawstream.h \
   $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ndatablock.h \
-  utilarr.h
-	$(CXXCOMPILELIB) -o $@ $<
+  $(SOPHYAINCP)ndatablock.h utilarr.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  matharr.cc
  
-$(SOPHYAOBJP)sopemtx.o: sopemtx.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  sopemtx.h tmatrix.h tarray.h basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
+$(SOPHYAOBJP)sopemtx.o: sopemtx.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h sopemtx.h tmatrix.h \
+  tarray.h basarr.h $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)mutyv.h \
   $(SOPHYAINCP)dvlist.h \
@@ -79,15 +69,12 @@
   $(SOPHYAINCP)rawstream.h \
   $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ndatablock.h \
-  utilarr.h tvector.h \
-  $(SOPHYAINCP)smathconst.h
-	$(CXXCOMPILELIB) -o $@ $<
+  $(SOPHYAINCP)ndatablock.h utilarr.h \
+  tvector.h $(SOPHYAINCP)smathconst.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  sopemtx.cc
  
-$(SOPHYAOBJP)tarray.o: tarray.cc \
-  $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)tarray.o: tarray.cc $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pexceptions.h \
-  tarray.h basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)pexceptions.h tarray.h \
+  basarr.h $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)mutyv.h \
   $(SOPHYAINCP)dvlist.h \
@@ -98,15 +85,12 @@
   $(SOPHYAINCP)rawstream.h \
   $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ndatablock.h \
-  utilarr.h
-	$(CXXCOMPILELIB) -o $@ $<
+  $(SOPHYAINCP)ndatablock.h utilarr.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tarray.cc
  
 $(SOPHYAOBJP)tarrinit.o: tarrinit.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  tarrinit.h \
-  $(SOPHYAINCP)sophyainit.h \
-  fioarr.h tarray.h basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)machdefs.h tarrinit.h \
+  $(SOPHYAINCP)sophyainit.h fioarr.h tarray.h \
+  basarr.h $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)mutyv.h \
   $(SOPHYAINCP)dvlist.h \
@@ -118,12 +102,50 @@
   $(SOPHYAINCP)rawstream.h \
   $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ndatablock.h \
-  utilarr.h tmatrix.h tvector.h
-	$(CXXCOMPILELIB) -o $@ $<
+  $(SOPHYAINCP)ndatablock.h utilarr.h \
+  tmatrix.h tvector.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tarrinit.cc
  
-$(SOPHYAOBJP)tmatrix.o: tmatrix.cc \
-  $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)tmatrix.o: tmatrix.cc $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h tmatrix.h \
+  tarray.h basarr.h $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h utilarr.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tmatrix.cc
+ 
+$(SOPHYAOBJP)toeplitzMatrix.o: toeplitzMatrix.cc \
+  $(SOPHYAINCP)sopnamsp.h toeplitzMatrix.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)nbmath.h \
+  $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)timing.h array.h tarray.h \
+  basarr.h $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h utilarr.h \
+  tmatrix.h tvector.h matharr.h fioarr.h sopemtx.h \
+  $(SOPHYAINCP)fftservintf.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)fftpserver.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  toeplitzMatrix.cc
+ 
+$(SOPHYAOBJP)tvector.o: tvector.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h tvector.h \
   tmatrix.h tarray.h basarr.h \
   $(SOPHYAINCP)anydataobj.h \
@@ -136,57 +158,11 @@
   $(SOPHYAINCP)rawstream.h \
   $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ndatablock.h \
-  utilarr.h
-	$(CXXCOMPILELIB) -o $@ $<
+  $(SOPHYAINCP)ndatablock.h utilarr.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tvector.cc
  
-$(SOPHYAOBJP)toeplitzMatrix.o: toeplitzMatrix.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  toeplitzMatrix.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)nbmath.h \
-  $(SOPHYAINCP)smathconst.h \
-  $(SOPHYAINCP)timing.h array.h \
-  tarray.h basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
+$(SOPHYAOBJP)utilarr.o: utilarr.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h utilarr.h \
   $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ndatablock.h \
-  utilarr.h tmatrix.h tvector.h matharr.h fioarr.h sopemtx.h \
-  $(SOPHYAINCP)fftservintf.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)fftpserver.h
-	$(CXXCOMPILELIB) -o $@ $<
+  $(SOPHYAINCP)srandgen.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  utilarr.cc
  
-$(SOPHYAOBJP)tvector.o: tvector.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pexceptions.h \
-  tvector.h tmatrix.h tarray.h basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ndatablock.h \
-  utilarr.h
-	$(CXXCOMPILELIB) -o $@ $<
- 
-$(SOPHYAOBJP)utilarr.o: utilarr.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  utilarr.h $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)srandgen.h
-	$(CXXCOMPILELIB) -o $@ $<
- 
Index: trunk/SophyaLib/TArray/smakefile
===================================================================
--- trunk/SophyaLib/TArray/smakefile	(revision 2763)
+++ trunk/SophyaLib/TArray/smakefile	(revision 2765)
@@ -11,9 +11,7 @@
 	touch $(SOPHYAINCP)/SophyaConfInfo/libsophya.objlist
  
-$(SOPHYAOBJP)basarr.o: basarr.cc \
-  $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)basarr.o: basarr.cc $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pexceptions.h \
-  basarr.h \
+  $(SOPHYAINCP)pexceptions.h basarr.h \
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)mutyv.h \
@@ -25,8 +23,7 @@
   $(SOPHYAINCP)rawstream.h \
   $(SOPHYAINCP)ppfnametag.h
-	$(CXXCOMPILELIB) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  basarr.cc
  
-$(SOPHYAOBJP)fioarr.o: fioarr.cc \
-  $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)fioarr.o: fioarr.cc $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)machdefs.h \
@@ -38,18 +35,14 @@
   $(SOPHYAINCP)ppfnametag.h \
   $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)anydataobj.h \
-  fioarr.h tarray.h basarr.h \
-  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)anydataobj.h fioarr.h tarray.h \
+  basarr.h $(SOPHYAINCP)mutyv.h \
   $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h utilarr.h \
-  tmatrix.h tvector.h \
-  $(SOPHYAINCP)datatype.h
-	$(CXXCOMPILELIB) -o $@ $<
+  $(SOPHYAINCP)objfio.h utilarr.h tmatrix.h \
+  tvector.h $(SOPHYAINCP)datatype.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fioarr.cc
  
-$(SOPHYAOBJP)matharr.o: matharr.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  matharr.h tarray.h basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
+$(SOPHYAOBJP)matharr.o: matharr.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h matharr.h tarray.h \
+  basarr.h $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)mutyv.h \
   $(SOPHYAINCP)dvlist.h \
@@ -61,13 +54,10 @@
   $(SOPHYAINCP)rawstream.h \
   $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ndatablock.h \
-  utilarr.h
-	$(CXXCOMPILELIB) -o $@ $<
+  $(SOPHYAINCP)ndatablock.h utilarr.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  matharr.cc
  
-$(SOPHYAOBJP)sopemtx.o: sopemtx.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  sopemtx.h tmatrix.h tarray.h basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
+$(SOPHYAOBJP)sopemtx.o: sopemtx.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h sopemtx.h tmatrix.h \
+  tarray.h basarr.h $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)mutyv.h \
   $(SOPHYAINCP)dvlist.h \
@@ -79,15 +69,12 @@
   $(SOPHYAINCP)rawstream.h \
   $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ndatablock.h \
-  utilarr.h tvector.h \
-  $(SOPHYAINCP)smathconst.h
-	$(CXXCOMPILELIB) -o $@ $<
+  $(SOPHYAINCP)ndatablock.h utilarr.h \
+  tvector.h $(SOPHYAINCP)smathconst.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  sopemtx.cc
  
-$(SOPHYAOBJP)tarray.o: tarray.cc \
-  $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)tarray.o: tarray.cc $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pexceptions.h \
-  tarray.h basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)pexceptions.h tarray.h \
+  basarr.h $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)mutyv.h \
   $(SOPHYAINCP)dvlist.h \
@@ -98,15 +85,12 @@
   $(SOPHYAINCP)rawstream.h \
   $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ndatablock.h \
-  utilarr.h
-	$(CXXCOMPILELIB) -o $@ $<
+  $(SOPHYAINCP)ndatablock.h utilarr.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tarray.cc
  
 $(SOPHYAOBJP)tarrinit.o: tarrinit.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  tarrinit.h \
-  $(SOPHYAINCP)sophyainit.h \
-  fioarr.h tarray.h basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)machdefs.h tarrinit.h \
+  $(SOPHYAINCP)sophyainit.h fioarr.h tarray.h \
+  basarr.h $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)mutyv.h \
   $(SOPHYAINCP)dvlist.h \
@@ -118,12 +102,50 @@
   $(SOPHYAINCP)rawstream.h \
   $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ndatablock.h \
-  utilarr.h tmatrix.h tvector.h
-	$(CXXCOMPILELIB) -o $@ $<
+  $(SOPHYAINCP)ndatablock.h utilarr.h \
+  tmatrix.h tvector.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tarrinit.cc
  
-$(SOPHYAOBJP)tmatrix.o: tmatrix.cc \
-  $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)tmatrix.o: tmatrix.cc $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h tmatrix.h \
+  tarray.h basarr.h $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h utilarr.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tmatrix.cc
+ 
+$(SOPHYAOBJP)toeplitzMatrix.o: toeplitzMatrix.cc \
+  $(SOPHYAINCP)sopnamsp.h toeplitzMatrix.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)nbmath.h \
+  $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)timing.h array.h tarray.h \
+  basarr.h $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h utilarr.h \
+  tmatrix.h tvector.h matharr.h fioarr.h sopemtx.h \
+  $(SOPHYAINCP)fftservintf.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)fftpserver.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  toeplitzMatrix.cc
+ 
+$(SOPHYAOBJP)tvector.o: tvector.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h tvector.h \
   tmatrix.h tarray.h basarr.h \
   $(SOPHYAINCP)anydataobj.h \
@@ -136,57 +158,11 @@
   $(SOPHYAINCP)rawstream.h \
   $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ndatablock.h \
-  utilarr.h
-	$(CXXCOMPILELIB) -o $@ $<
+  $(SOPHYAINCP)ndatablock.h utilarr.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tvector.cc
  
-$(SOPHYAOBJP)toeplitzMatrix.o: toeplitzMatrix.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  toeplitzMatrix.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)nbmath.h \
-  $(SOPHYAINCP)smathconst.h \
-  $(SOPHYAINCP)timing.h array.h \
-  tarray.h basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
+$(SOPHYAOBJP)utilarr.o: utilarr.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h utilarr.h \
   $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ndatablock.h \
-  utilarr.h tmatrix.h tvector.h matharr.h fioarr.h sopemtx.h \
-  $(SOPHYAINCP)fftservintf.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)fftpserver.h
-	$(CXXCOMPILELIB) -o $@ $<
+  $(SOPHYAINCP)srandgen.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  utilarr.cc
  
-$(SOPHYAOBJP)tvector.o: tvector.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pexceptions.h \
-  tvector.h tmatrix.h tarray.h basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ndatablock.h \
-  utilarr.h
-	$(CXXCOMPILELIB) -o $@ $<
- 
-$(SOPHYAOBJP)utilarr.o: utilarr.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  utilarr.h $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)srandgen.h
-	$(CXXCOMPILELIB) -o $@ $<
- 