Index: /trunk/SophyaLib/BuildMgr/Darwin_g++_make.inc
===================================================================
--- /trunk/SophyaLib/BuildMgr/Darwin_g++_make.inc	(revision 2765)
+++ /trunk/SophyaLib/BuildMgr/Darwin_g++_make.inc	(revision 2766)
@@ -17,5 +17,6 @@
 CXX =  c++
 CXXFLAGS = -fno-common -g -fastf -mtune=G4 -fPIC 
-CXXREP =
+# flags specifiques pour templates repository...
+CXXTEMPFLG =
 #  Compilo fortran
 FC = g77
@@ -29,6 +30,4 @@
 CCOMPILE = $(CC) $(CPPFLAGS) $(CFLAGS) -c 
 CXXCOMPILE = $(CXX) $(CPPFLAGS) $(CXXFLAGS) -c 
-CXXCOMPILELIB = $(CXX) $(CPPFLAGS) $(CXXFLAGS) $(CXXREP) -c 
-CXXCOMPILEPROG = $(CXX) $(CPPFLAGS) $(CXXFLAGS) $(CXXREP) -c 
 FCCOMPILE = $(FC) $(FFLAGS) -c 
 
@@ -36,5 +35,5 @@
 SLEXT = dylib
 #  Fabrication de librairies partagees 
-CMDSHLCXX = $(CXX) $(CXXFLAGS) $(CXXREP) -dynamiclib 
+CMDSHLCXX = $(CXX) $(CXXFLAGS) $(CXXTEMPFLG) -dynamiclib 
 
 
Index: /trunk/SophyaLib/BuildMgr/Linux_g++_make.inc
===================================================================
--- /trunk/SophyaLib/BuildMgr/Linux_g++_make.inc	(revision 2765)
+++ /trunk/SophyaLib/BuildMgr/Linux_g++_make.inc	(revision 2766)
@@ -17,5 +17,6 @@
 CXX =  g++
 CXXFLAGS = -Wall -Wpointer-arith -Wmissing-prototypes -Wsynth -O -g
-CXXREP =
+# flags specifiques pour templates repository...
+CXXTEMPFLG =
 #  Compilo fortran
 FC = g77
@@ -29,6 +30,4 @@
 CCOMPILE = $(CC) $(CPPFLAGS) $(CFLAGS) -c 
 CXXCOMPILE = $(CXX) $(CPPFLAGS) $(CXXFLAGS) -c 
-CXXCOMPILELIB = $(CXX) $(CPPFLAGS) $(CXXFLAGS) $(CXXREP) -c 
-CXXCOMPILEPROG = $(CXX) $(CPPFLAGS) $(CXXFLAGS) $(CXXREP) -c 
 FCCOMPILE = $(FC) $(FFLAGS) -c 
 
@@ -36,5 +35,5 @@
 SLEXT = so
 #  Fabrication de librairies partagees 
-CMDSHLCXX = $(CXX) $(CXXFLAGS) $(CXXREP) -shared 
+CMDSHLCXX = $(CXX) $(CXXFLAGS) $(CXXTEMPFLG) -shared 
 
 
Index: /trunk/SophyaLib/BuildMgr/Makefile
===================================================================
--- /trunk/SophyaLib/BuildMgr/Makefile	(revision 2765)
+++ /trunk/SophyaLib/BuildMgr/Makefile	(revision 2766)
@@ -70,4 +70,4 @@
 	if [ -d $(SOPHYALIBP) ] ; then cd $(SOPHYALIBP)/. ; rm -f *.a  ; fi
 	if [ -d $(SOPHYASLBP) ] ; then cd $(SOPHYASLBP)/. ; rm -f *.so ; fi
-	if [ -d $(SOPHYAOBJP) ] ; then cd $(SOPHYAOBJP)/. ; rm -f *.o  rm -rf cxxrep* ; fi
+	if [ -d $(SOPHYAOBJP) ] ; then cd $(SOPHYAOBJP)/. ; rm -rf *.o cxxrep ; fi
 
Index: /trunk/SophyaLib/BuildMgr/OSF1_cxx_make.inc
===================================================================
--- /trunk/SophyaLib/BuildMgr/OSF1_cxx_make.inc	(revision 2765)
+++ /trunk/SophyaLib/BuildMgr/OSF1_cxx_make.inc	(revision 2766)
@@ -17,5 +17,6 @@
 CXX =  cxx
 CXXFLAGS = -O -pthread -g1 -no_implicit_include
-CXXREP =  -ptr $(SOPHYAOBJP)/cxxrep/
+# flags specifiques pour templates repository...
+CXXTEMPFLG = -ptr $(SOPHYAOBJP)/cxxrep/
 #  Compilo fortran
 FC = f77
@@ -29,6 +30,4 @@
 CCOMPILE = $(CC) $(CPPFLAGS) $(CFLAGS) -c 
 CXXCOMPILE = $(CXX) $(CPPFLAGS) $(CXXFLAGS) -c 
-CXXCOMPILELIB = $(CXX) $(CPPFLAGS) $(CXXFLAGS) $(CXXREP) -c 
-CXXCOMPILEPROG = $(CXX) $(CPPFLAGS) $(CXXFLAGS) $(CXXREP) -c 
 FCCOMPILE = $(FC) $(FFLAGS) -c 
 
@@ -36,5 +35,5 @@
 SLEXT = so
 #  Fabrication de librairies partagees 
-CMDSHLCXX = $(CXX) $(CXXFLAGS) $(CXXREP) -shared 
+CMDSHLCXX = $(CXX) $(CXXFLAGS) $(CXXTEMPFLG) -shared 
 
 
Index: /trunk/SophyaLib/BuildMgr/mkmflib
===================================================================
--- /trunk/SophyaLib/BuildMgr/mkmflib	(revision 2765)
+++ /trunk/SophyaLib/BuildMgr/mkmflib	(revision 2766)
@@ -104,5 +104,5 @@
        | sed -e 's/.*\.o/\$(SOPHYAOBJP)&/'  \
        | sed -e 's?'$inc/'?$(SOPHYAINCP)?g'  >> $makname
-  echo '	$(CXXCOMPILELIB) -o $@ $<' >> $makname
+  echo '	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@ ' $f >> $makname
   echo ' ' >> $makname
 end
@@ -113,5 +113,5 @@
        | sed -e 's/.*\.o/\$(SOPHYAOBJP)&/'  \
        | sed -e 's?'$inc/'?$(SOPHYAINCP)?g' >> $makname
-  echo '	$(CCOMPILE) -o $@ $<' >> $makname
+  echo '	$(CCOMPILE) -o $@ ' $f >> $makname
   echo ' ' >> $makname
 end 
@@ -120,5 +120,5 @@
   grep -q '^'$f'$' $exclfile && continue
   echo '$(SOPHYAOBJP)'$f:r'.o: '$f >> $makname
-  echo '	$(FCOMPILE) -o $@ $<' >> $makname
+  echo '	$(FCOMPILE) -o $@ ' $f >> $makname
   echo ' ' >> $makname
 end 
Index: /trunk/SophyaLib/BuildMgr/mkmfprog
===================================================================
--- /trunk/SophyaLib/BuildMgr/mkmfprog	(revision 2765)
+++ /trunk/SophyaLib/BuildMgr/mkmfprog	(revision 2766)
@@ -99,10 +99,11 @@
   echo '	echo $@ " done"' >> $makname
   set oo = ( `grep ^$f programs | awk -F"$f " '{print $2}'` )
-  set dum = '$(SOPHYAEXEP)'$f':'
+  set dum 
   foreach fo ( $oo )
     set dum = " $dum "'$(SOPHYAOBJP)'$fo
   end
-  echo $dum  >> $makname
-  echo '	$(CXXLINK) -o $@ $? '$lib >> $makname
+  echo 
+  echo '$(SOPHYAEXEP)'$f':' $dum  >> $makname
+  echo '	$(CXXLINK) $(CXXTEMPFLG) -o $@' $dum $lib >> $makname
   echo ' ' >> $makname
 end
@@ -118,5 +119,5 @@
        | sed -e 's/.*\.o/\$(SOPHYAOBJP)&/'  \
        | sed -e 's?'$inc/'?$(SOPHYAINCP)?g'  >> $makname
-  echo '	$(CXXCOMPILEPROG) -o $@ $<' >> $makname
+  echo '	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@ ' $f >> $makname
   echo ' ' >> $makname
 end
@@ -128,5 +129,5 @@
        | sed -e 's/.*\.o/\$(SOPHYAOBJP)&/'  \
        | sed -e 's?'$inc/'?$(SOPHYAINCP)?g' >> $makname
-  echo '	$(CCOMPILE) -o $@ $<' >> $makname
+  echo '	$(CCOMPILE) -o $@ ' $f >> $makname
   echo ' ' >> $makname
 end 
@@ -136,5 +137,5 @@
   if( $status != 0 ) continue
   echo '$(SOPHYAOBJP)'$f:r'.o: '$f >> $makname
-  echo '	$(FCOMPILE) -o $@ $<' >> $makname
+  echo '	$(FCOMPILE) -o $@ ' $f >> $makname
   echo ' ' >> $makname
 end 