Index: trunk/SophyaPI/PI/Tests/Makefile
===================================================================
--- trunk/SophyaPI/PI/Tests/Makefile	(revision 2750)
+++ trunk/SophyaPI/PI/Tests/Makefile	(revision 2767)
@@ -1,3 +1,3 @@
-include ../BuildMgr/sophyamake.inc
+include ../../BuildMgr/sophyamake.inc
  
 PROGS = $(SOPHYAEXEP)midasitt $(SOPHYAEXEP)pilinetst $(SOPHYAEXEP)pist $(SOPHYAEXEP)pit0 $(SOPHYAEXEP)pit1 $(SOPHYAEXEP)pitcons $(SOPHYAEXEP)pitgr $(SOPHYAEXEP)xp0 $(SOPHYAEXEP)xp1 $(SOPHYAEXEP)xp2 $(SOPHYAEXEP)xp3
@@ -12,55 +12,55 @@
 	echo $@ " done"
 $(SOPHYAEXEP)midasitt: $(SOPHYAOBJP)midasitt.o
-	$(CXXLINK) -o $@ $? $(SOPHYAALLSLBLIST)
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)midasitt.o $(SOPHYAALLSLBLIST)
  
 pilinetst: $(SOPHYAEXEP)pilinetst
 	echo $@ " done"
 $(SOPHYAEXEP)pilinetst: $(SOPHYAOBJP)pilinetst.o
-	$(CXXLINK) -o $@ $? $(SOPHYAALLSLBLIST)
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)pilinetst.o $(SOPHYAALLSLBLIST)
  
 pist: $(SOPHYAEXEP)pist
 	echo $@ " done"
 $(SOPHYAEXEP)pist: $(SOPHYAOBJP)pist.o
-	$(CXXLINK) -o $@ $? $(SOPHYAALLSLBLIST)
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)pist.o $(SOPHYAALLSLBLIST)
  
 pit0: $(SOPHYAEXEP)pit0
 	echo $@ " done"
 $(SOPHYAEXEP)pit0: $(SOPHYAOBJP)pit0.o
-	$(CXXLINK) -o $@ $? $(SOPHYAALLSLBLIST)
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)pit0.o $(SOPHYAALLSLBLIST)
  
 pit1: $(SOPHYAEXEP)pit1
 	echo $@ " done"
 $(SOPHYAEXEP)pit1: $(SOPHYAOBJP)pit1.o
-	$(CXXLINK) -o $@ $? $(SOPHYAALLSLBLIST)
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)pit1.o $(SOPHYAALLSLBLIST)
  
 pitcons: $(SOPHYAEXEP)pitcons
 	echo $@ " done"
 $(SOPHYAEXEP)pitcons: $(SOPHYAOBJP)pitcons.o
-	$(CXXLINK) -o $@ $? $(SOPHYAALLSLBLIST)
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)pitcons.o $(SOPHYAALLSLBLIST)
  
 pitgr: $(SOPHYAEXEP)pitgr
 	echo $@ " done"
 $(SOPHYAEXEP)pitgr: $(SOPHYAOBJP)pitgr.o
-	$(CXXLINK) -o $@ $? $(SOPHYAALLSLBLIST)
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)pitgr.o $(SOPHYAALLSLBLIST)
  
 xp0: $(SOPHYAEXEP)xp0
 	echo $@ " done"
 $(SOPHYAEXEP)xp0: $(SOPHYAOBJP)xp0.o
-	$(CXXLINK) -o $@ $? $(SOPHYAALLSLBLIST)
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)xp0.o $(SOPHYAALLSLBLIST)
  
 xp1: $(SOPHYAEXEP)xp1
 	echo $@ " done"
 $(SOPHYAEXEP)xp1: $(SOPHYAOBJP)xp1.o
-	$(CXXLINK) -o $@ $? $(SOPHYAALLSLBLIST)
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)xp1.o $(SOPHYAALLSLBLIST)
  
 xp2: $(SOPHYAEXEP)xp2
 	echo $@ " done"
 $(SOPHYAEXEP)xp2: $(SOPHYAOBJP)xp2.o
-	$(CXXLINK) -o $@ $? $(SOPHYAALLSLBLIST)
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)xp2.o $(SOPHYAALLSLBLIST)
  
 xp3: $(SOPHYAEXEP)xp3
 	echo $@ " done"
 $(SOPHYAEXEP)xp3: $(SOPHYAOBJP)xp3.o
-	$(CXXLINK) -o $@ $? $(SOPHYAALLSLBLIST)
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)xp3.o $(SOPHYAALLSLBLIST)
  
 $(SOPHYAOBJP)midasitt.o: midasitt.cc \
@@ -123,5 +123,5 @@
   $(SOPHYAINCP)pi3dwdg.h \
   $(SOPHYAINCP)piyfxdrw.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  midasitt.cc
  
 $(SOPHYAOBJP)pilinetst.o: pilinetst.cc \
@@ -161,7 +161,8 @@
   $(SOPHYAINCP)piwindowx.h \
   $(SOPHYAINCP)piwindowgen.h
-	$(CXXCOMPILE) -o $@ $<
- 
-$(SOPHYAOBJP)pist.o: pist.cc $(SOPHYAINCP)sopnamsp.h \
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pilinetst.cc
+ 
+$(SOPHYAOBJP)pist.o: pist.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)machdefs.h \
@@ -198,7 +199,8 @@
   $(SOPHYAINCP)piwindowx.h \
   $(SOPHYAINCP)piwindowgen.h
-	$(CXXCOMPILE) -o $@ $<
- 
-$(SOPHYAOBJP)pit0.o: pit0.cc $(SOPHYAINCP)sopnamsp.h \
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pist.cc
+ 
+$(SOPHYAOBJP)pit0.o: pit0.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)machdefs.h \
@@ -237,7 +239,8 @@
   $(SOPHYAINCP)piperiodx.h \
   $(SOPHYAINCP)periodic.h
-	$(CXXCOMPILE) -o $@ $<
- 
-$(SOPHYAOBJP)pit1.o: pit1.cc $(SOPHYAINCP)sopnamsp.h \
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pit0.cc
+ 
+$(SOPHYAOBJP)pit1.o: pit1.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)machdefs.h \
@@ -282,5 +285,5 @@
   $(SOPHYAINCP)lut.h \
   $(SOPHYAINCP)piyfxdrw.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pit1.cc
  
 $(SOPHYAOBJP)pitcons.o: pitcons.cc \
@@ -320,7 +323,8 @@
   $(SOPHYAINCP)piwindowx.h \
   $(SOPHYAINCP)piwindowgen.h
-	$(CXXCOMPILE) -o $@ $<
- 
-$(SOPHYAOBJP)pitgr.o: pitgr.cc $(SOPHYAINCP)sopnamsp.h \
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pitcons.cc
+ 
+$(SOPHYAOBJP)pitgr.o: pitgr.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)machdefs.h \
@@ -381,7 +385,8 @@
   $(SOPHYAINCP)pigraph3d.h \
   $(SOPHYAINCP)pi3dwdg.h
-	$(CXXCOMPILE) -o $@ $<
- 
-$(SOPHYAOBJP)xp0.o: xp0.cc $(SOPHYAINCP)sopnamsp.h \
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pitgr.cc
+ 
+$(SOPHYAOBJP)xp0.o: xp0.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)machdefs.h \
@@ -416,7 +421,8 @@
   $(SOPHYAINCP)psfile.h \
   $(SOPHYAINCP)pigraphps.h
-	$(CXXCOMPILE) -o $@ $<
- 
-$(SOPHYAOBJP)xp1.o: xp1.cc $(SOPHYAINCP)sopnamsp.h \
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  xp0.cc
+ 
+$(SOPHYAOBJP)xp1.o: xp1.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)machdefs.h \
@@ -453,7 +459,8 @@
   $(SOPHYAINCP)piwindowx.h \
   $(SOPHYAINCP)piwindowgen.h
-	$(CXXCOMPILE) -o $@ $<
- 
-$(SOPHYAOBJP)xp2.o: xp2.cc $(SOPHYAINCP)sopnamsp.h \
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  xp1.cc
+ 
+$(SOPHYAOBJP)xp2.o: xp2.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)machdefs.h \
@@ -490,7 +497,8 @@
   $(SOPHYAINCP)piwindowx.h \
   $(SOPHYAINCP)piwindowgen.h
-	$(CXXCOMPILE) -o $@ $<
- 
-$(SOPHYAOBJP)xp3.o: xp3.cc $(SOPHYAINCP)sopnamsp.h \
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  xp2.cc
+ 
+$(SOPHYAOBJP)xp3.o: xp3.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)machdefs.h \
@@ -549,4 +557,4 @@
   $(SOPHYAINCP)piyfxdrw.h \
   $(SOPHYAINCP)pi3dwdg.h
-	$(CXXCOMPILE) -o $@ $<
- 
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  xp3.cc
+ 
Index: trunk/SophyaPI/PI/Tests/smakefile
===================================================================
--- trunk/SophyaPI/PI/Tests/smakefile	(revision 2750)
+++ trunk/SophyaPI/PI/Tests/smakefile	(revision 2767)
@@ -12,55 +12,55 @@
 	echo $@ " done"
 $(SOPHYAEXEP)midasitt: $(SOPHYAOBJP)midasitt.o
-	$(CXXLINK) -o $@ $? $(SOPHYAALLSLBLIST)
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)midasitt.o $(SOPHYAALLSLBLIST)
  
 pilinetst: $(SOPHYAEXEP)pilinetst
 	echo $@ " done"
 $(SOPHYAEXEP)pilinetst: $(SOPHYAOBJP)pilinetst.o
-	$(CXXLINK) -o $@ $? $(SOPHYAALLSLBLIST)
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)pilinetst.o $(SOPHYAALLSLBLIST)
  
 pist: $(SOPHYAEXEP)pist
 	echo $@ " done"
 $(SOPHYAEXEP)pist: $(SOPHYAOBJP)pist.o
-	$(CXXLINK) -o $@ $? $(SOPHYAALLSLBLIST)
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)pist.o $(SOPHYAALLSLBLIST)
  
 pit0: $(SOPHYAEXEP)pit0
 	echo $@ " done"
 $(SOPHYAEXEP)pit0: $(SOPHYAOBJP)pit0.o
-	$(CXXLINK) -o $@ $? $(SOPHYAALLSLBLIST)
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)pit0.o $(SOPHYAALLSLBLIST)
  
 pit1: $(SOPHYAEXEP)pit1
 	echo $@ " done"
 $(SOPHYAEXEP)pit1: $(SOPHYAOBJP)pit1.o
-	$(CXXLINK) -o $@ $? $(SOPHYAALLSLBLIST)
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)pit1.o $(SOPHYAALLSLBLIST)
  
 pitcons: $(SOPHYAEXEP)pitcons
 	echo $@ " done"
 $(SOPHYAEXEP)pitcons: $(SOPHYAOBJP)pitcons.o
-	$(CXXLINK) -o $@ $? $(SOPHYAALLSLBLIST)
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)pitcons.o $(SOPHYAALLSLBLIST)
  
 pitgr: $(SOPHYAEXEP)pitgr
 	echo $@ " done"
 $(SOPHYAEXEP)pitgr: $(SOPHYAOBJP)pitgr.o
-	$(CXXLINK) -o $@ $? $(SOPHYAALLSLBLIST)
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)pitgr.o $(SOPHYAALLSLBLIST)
  
 xp0: $(SOPHYAEXEP)xp0
 	echo $@ " done"
 $(SOPHYAEXEP)xp0: $(SOPHYAOBJP)xp0.o
-	$(CXXLINK) -o $@ $? $(SOPHYAALLSLBLIST)
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)xp0.o $(SOPHYAALLSLBLIST)
  
 xp1: $(SOPHYAEXEP)xp1
 	echo $@ " done"
 $(SOPHYAEXEP)xp1: $(SOPHYAOBJP)xp1.o
-	$(CXXLINK) -o $@ $? $(SOPHYAALLSLBLIST)
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)xp1.o $(SOPHYAALLSLBLIST)
  
 xp2: $(SOPHYAEXEP)xp2
 	echo $@ " done"
 $(SOPHYAEXEP)xp2: $(SOPHYAOBJP)xp2.o
-	$(CXXLINK) -o $@ $? $(SOPHYAALLSLBLIST)
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)xp2.o $(SOPHYAALLSLBLIST)
  
 xp3: $(SOPHYAEXEP)xp3
 	echo $@ " done"
 $(SOPHYAEXEP)xp3: $(SOPHYAOBJP)xp3.o
-	$(CXXLINK) -o $@ $? $(SOPHYAALLSLBLIST)
+	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)xp3.o $(SOPHYAALLSLBLIST)
  
 $(SOPHYAOBJP)midasitt.o: midasitt.cc \
@@ -123,5 +123,5 @@
   $(SOPHYAINCP)pi3dwdg.h \
   $(SOPHYAINCP)piyfxdrw.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  midasitt.cc
  
 $(SOPHYAOBJP)pilinetst.o: pilinetst.cc \
@@ -161,7 +161,8 @@
   $(SOPHYAINCP)piwindowx.h \
   $(SOPHYAINCP)piwindowgen.h
-	$(CXXCOMPILE) -o $@ $<
- 
-$(SOPHYAOBJP)pist.o: pist.cc $(SOPHYAINCP)sopnamsp.h \
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pilinetst.cc
+ 
+$(SOPHYAOBJP)pist.o: pist.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)machdefs.h \
@@ -198,7 +199,8 @@
   $(SOPHYAINCP)piwindowx.h \
   $(SOPHYAINCP)piwindowgen.h
-	$(CXXCOMPILE) -o $@ $<
- 
-$(SOPHYAOBJP)pit0.o: pit0.cc $(SOPHYAINCP)sopnamsp.h \
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pist.cc
+ 
+$(SOPHYAOBJP)pit0.o: pit0.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)machdefs.h \
@@ -237,7 +239,8 @@
   $(SOPHYAINCP)piperiodx.h \
   $(SOPHYAINCP)periodic.h
-	$(CXXCOMPILE) -o $@ $<
- 
-$(SOPHYAOBJP)pit1.o: pit1.cc $(SOPHYAINCP)sopnamsp.h \
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pit0.cc
+ 
+$(SOPHYAOBJP)pit1.o: pit1.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)machdefs.h \
@@ -282,5 +285,5 @@
   $(SOPHYAINCP)lut.h \
   $(SOPHYAINCP)piyfxdrw.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pit1.cc
  
 $(SOPHYAOBJP)pitcons.o: pitcons.cc \
@@ -320,7 +323,8 @@
   $(SOPHYAINCP)piwindowx.h \
   $(SOPHYAINCP)piwindowgen.h
-	$(CXXCOMPILE) -o $@ $<
- 
-$(SOPHYAOBJP)pitgr.o: pitgr.cc $(SOPHYAINCP)sopnamsp.h \
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pitcons.cc
+ 
+$(SOPHYAOBJP)pitgr.o: pitgr.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)machdefs.h \
@@ -381,7 +385,8 @@
   $(SOPHYAINCP)pigraph3d.h \
   $(SOPHYAINCP)pi3dwdg.h
-	$(CXXCOMPILE) -o $@ $<
- 
-$(SOPHYAOBJP)xp0.o: xp0.cc $(SOPHYAINCP)sopnamsp.h \
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pitgr.cc
+ 
+$(SOPHYAOBJP)xp0.o: xp0.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)machdefs.h \
@@ -416,7 +421,8 @@
   $(SOPHYAINCP)psfile.h \
   $(SOPHYAINCP)pigraphps.h
-	$(CXXCOMPILE) -o $@ $<
- 
-$(SOPHYAOBJP)xp1.o: xp1.cc $(SOPHYAINCP)sopnamsp.h \
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  xp0.cc
+ 
+$(SOPHYAOBJP)xp1.o: xp1.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)machdefs.h \
@@ -453,7 +459,8 @@
   $(SOPHYAINCP)piwindowx.h \
   $(SOPHYAINCP)piwindowgen.h
-	$(CXXCOMPILE) -o $@ $<
- 
-$(SOPHYAOBJP)xp2.o: xp2.cc $(SOPHYAINCP)sopnamsp.h \
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  xp1.cc
+ 
+$(SOPHYAOBJP)xp2.o: xp2.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)machdefs.h \
@@ -490,7 +497,8 @@
   $(SOPHYAINCP)piwindowx.h \
   $(SOPHYAINCP)piwindowgen.h
-	$(CXXCOMPILE) -o $@ $<
- 
-$(SOPHYAOBJP)xp3.o: xp3.cc $(SOPHYAINCP)sopnamsp.h \
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  xp2.cc
+ 
+$(SOPHYAOBJP)xp3.o: xp3.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)machdefs.h \
@@ -549,4 +557,4 @@
   $(SOPHYAINCP)piyfxdrw.h \
   $(SOPHYAINCP)pi3dwdg.h
-	$(CXXCOMPILE) -o $@ $<
- 
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  xp3.cc
+ 