Index: /trunk/Eval/JET/jet.h
===================================================================
--- /trunk/Eval/JET/jet.h	(revision 2797)
+++ /trunk/Eval/JET/jet.h	(revision 2798)
@@ -3,4 +3,7 @@
 
 #include "machdefs.h"
+#include "sopnamsp.h"
+
+
 
 //========================================================
@@ -19,5 +22,11 @@
   ~MtxSize() {};
   void ReSize(const MtxSize  & a) { nrow_ = a.nrow_;  ncol_ = a.ncol_; } 
-  bool CompareSize(const MtxSize & a) const ;
+  bool CompareSize(const MtxSize & a) const 
+{
+  if ((a.nrow_ == 0) || (a.ncol_ == 0) )
+    throw RangeCheckError("MtxSize::CompareSize(mx) Size(mx) = 0");
+  if ((nrow_ == a.nrow_) && (ncol_ == a.ncol_))  return true;
+  else return false;
+}
 protected:
   sa_size_t nrow_, ncol_;
Index: /trunk/Eval/JET/makefile
===================================================================
--- /trunk/Eval/JET/makefile	(revision 2797)
+++ /trunk/Eval/JET/makefile	(revision 2798)
@@ -1,53 +1,16 @@
-#  ------------------ SOPHYA -------------------------
-#    Makefile fot compiling and linking a simple C++ 
-#         program with SOPHYA class library 
-#  ---------------------------------------------------
-#  GNU make program should be used with this makefile
-#  ---------------------------------------------------
-#  Usage: make prog_name
-#     - compiles prog_name.cc -> prog_name.o 
-#     - links prog_name.o -> prog_name 
+include $(SOPHYABASE)/include/sophyamake.inc
 
-#   SOPHYA compilation rules - OPTFLAG and DBGFLAG 
-# can be used to define Debug and optimization flags
-# Additional options can be specified using USERFLAGS
-# USERFLAGS := -I/.../myincludes 
+all : tjet
+	echo 'makefile : tjet made'
 
-include $(SOPHYABASEREP)/Include/MakefileUser.h
+clean :
+	rm tjet tjet.o  smtx.o 
 
+tjet : tjet.o  smtx.o 
+	$(CXXLINK) -o tjet tjet.o smtx.o $(SOPHYASLBLIST)
 
-# ----- List of SOPHYA libraries 
-ifdef NOSHLIB
-LIBF =  $(LIB)libLinAlg.a $(LIB)libIFFTW.a $(LIB)libFitsIOServer.a $(LIB)libSamba.a $(LIB)libSkyMap.a $(LIB)libSkyT.a $(LIB)libNTools.a $(LIB)libHiStats.a $(LIB)libTArray.a $(LIB)libSysTools.a
-LIBS = -L$(LIB) -lLinAlg -lIFFTW -lFitsIOServer -lSamba -lSkyMap -lSkyT -lNTools -lHiStats -lTArray -lSysTools -lm
-ifeq ($(CXX),cxx)
-# librairie des instances de templates cxx
-LIBS := $(LIBS) -lsotcxx
-endif
-else
-LIBF =  $(SLB)libsophya.so $(SLB)libextsophya.so
-LIBS = -L$(SLB) -lextsophya -lsophya  -lm
-endif
+tjet.o : tjet.cc jet.h smtx.h
+	$(CXXCOMPILE) tjet.cc
 
-LDLIBS := $(LIBS) $(LDLIBS) 
-
-%:%.cc
-%:%.o
-%.o:%.cc
-%.o:%.c
-%:%.c
-
-.PRECIOUS: % %.o
-
-
-#  --- Compilation and linking rules
-%:%.o
-	$(LINK.cc)  -o $@ $< $(LIBS)
-
-%.o:%.cc
-	$(COMPILE.cc)   $(USERFLAGS) -o $@ $<
-
-%:%.c
-	$(LINK.c)  $(USERFLAGS) -o $@ $< $(LIBS) 
-
-
+smtx.o : smtx.cc jet.h smtx.h
+	$(CXXCOMPILE) smtx.cc
Index: /trunk/Eval/JET/smtx.cc
===================================================================
--- /trunk/Eval/JET/smtx.cc	(revision 2797)
+++ /trunk/Eval/JET/smtx.cc	(revision 2798)
@@ -1,3 +1,4 @@
 #include "machdefs.h"
+#include "pexceptions.h"
 
 #include <math.h>
@@ -9,17 +10,4 @@
 //       Reza - Avril 2003
 //--------------------------------------------------------
-
-// ---------------------------------------------------
-// -------- Classe Taille objet Matrice --------------
-// ---------------------------------------------------
-
-
-bool MtxSize::CompareSize(const MtxSize & a) const
-{
-  if ((a.nrow_ == 0) || (a.ncol_ == 0) )
-    throw RangeCheckError("MtxSize::CompareSize(mx) Size(mx) = 0");
-  if ((nrow_ == a.nrow_) && (ncol_ == a.ncol_))  return true;
-  else return false;
-}
 
 // ---------------------------------------------------
Index: /trunk/Eval/JET/smtx.h
===================================================================
--- /trunk/Eval/JET/smtx.h	(revision 2797)
+++ /trunk/Eval/JET/smtx.h	(revision 2798)
@@ -6,4 +6,5 @@
 
 #include "ndatablock.h"
+#include "sopnamsp.h"
 #include "ctimer.h"
 #include "timing.h"
Index: /trunk/Eval/JET/tjet.cc
===================================================================
--- /trunk/Eval/JET/tjet.cc	(revision 2797)
+++ /trunk/Eval/JET/tjet.cc	(revision 2798)
@@ -177,9 +177,16 @@
       double c2 = frand01() + 3.5;
       double c3 = frand01() + 6.7;
-      m5 = m1;  m5.Mul(c1); 
-      m4 = m2;  m4.Mul(c2);
-      m5.AddElt(m4);
-      m4 = m3;  m3.Mul(c2);
-      m5.AddElt(m4);
+      /* Changement interface SOPHYA  : 2004-2005  
+	 m5 = m1;  m5.Mul(c1); 
+	 m4 = m2;  m4.Mul(c2);
+	 m5.AddElt(m4);
+	 m4 = m3;  m3.Mul(c3);
+	 m5.AddElt(m4);
+      */
+      m1.MulCst(c1, m5); 
+      m2.MulCst(c2, m4);
+      m5.AddElt(m4, m5);
+      m3.MulCst(c3,m4);
+      m4.AddElt(m5,m4);
     }
     cout << " (22) Add/MulElt/Cst m1*c1 + m2*c2 + m3*c3 done ---" << endl;